from boardgames import models
from rest_framework import serializers


class BoardGameDesignerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.BoardGameDesigner
        fields = "__all__"


class BoardGamePublisherSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.BoardGamePublisher
        fields = "__all__"


class BoardGameLocationSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.BoardGameLocation
        fields = "__all__"


class BoardGameVariantSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.BoardGameVariant
        fields = "__all__"


class BoardGameSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.BoardGame
        fields = "__all__"
